package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "MatrixColumnVO", description = "用例矩阵-列")
@Data
public class MatrixColumnVO {

    private Long id;

    @ApiModelProperty("列名称")
    private String title;

    @ApiModelProperty("用例id;没有用例则为null")
    private Long useCaseId;

}
